//
//  HeadView.m
//  GP_SDK_TestDemo
//
//  Created by ShaoDan on 2018/11/14.
//  Copyright © 2018年 Gainscha. All rights reserved.
//

#import "HeadView.h"

@interface HeadView()
@property (nonatomic, strong) UILabel *titleLabel;

@end

@implementation HeadView

//导航标题label懒加载
- (UILabel *)titleLabel
{
    if (!_titleLabel)
    {
        UILabel *title = [[UILabel alloc] init];
        title.textColor = [UIColor blackColor];
        title.font = [UIFont fontWithName:@"HelveticaNeue-Bold" size:36.0];
        title.textAlignment = NSTextAlignmentLeft;
        [self addSubview:title];
        [title mas_makeConstraints:^(MASConstraintMaker *make){
            
            
        make.left.mas_equalTo(self.mas_left).with.offset(25);
    make.bottom.mas_equalTo(self.mas_bottom).with.offset(-10);
            make.height.mas_equalTo(36);
            make.width.mas_equalTo(200);
        }];
        _titleLabel = title;
    }
    return _titleLabel;
}


- (instancetype)initWithTitle:(NSString *)title
{
    self = [super init];
    
//    CGFloat viewY = 6.0;
//
//    if (@available(iOS 11.0, *)) {
//        viewY = screen_height<812?64:88;
//    }
    
    self.frame = CGRectMake(0, 10, screen_width, 100);
    self.backgroundColor = [UIColor whiteColor];
    self.titleLabel.text = title;
    
    return self;
    
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
