//
//  TabBarController.m
//  GP_SDK_TestDemo
//
//  Created by ShaoDan on 2018/11/14.
//  Copyright © 2018年 Gainscha. All rights reserved.
//

#import "TabBarController.h"
#import "NavViewController.h"

#import "ViewController.h"
#import "BTTestViewController.h"

@interface TabBarController ()

@end

@implementation TabBarController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self setupTabbar];

    
    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
    
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}



- (void)setupTabbar
{
    //半透明度为YES，也就是具有透明属性
//    self.tabBar.translucent = NO;
    
    
    ViewController *oVC = [[ViewController alloc]init];
    [self addChildViewController:oVC withImage:[UIImage imageNamed:@"wifi-1"] selectedImage:[UIImage imageNamed:@"wifi"]];
    
    
    BTTestViewController *wVC = [[BTTestViewController alloc]init];
    [self addChildViewController:wVC withImage:[UIImage imageNamed:@"lanya1"] selectedImage:[UIImage imageNamed:@"lanya"]];
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)addChildViewController:(UIViewController *)controller withImage:(UIImage *)image selectedImage:(UIImage *)selectImage
{
    NavViewController *nav = [[NavViewController alloc]initWithRootViewController:controller];
    [nav.tabBarItem setImage:image];
    selectImage = [selectImage imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];
    [nav.tabBarItem setSelectedImage:selectImage];
    nav.tabBarItem.imageInsets = UIEdgeInsetsMake(5, 0,-5, 0);
    
    [self addChildViewController:nav];
}


/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
